---
- name: Deploy landing site
  hosts: all
  tasks:
      - name: landing | Add the proxy config
        template:
          src: proxy-home.conf.j2
          dest: /etc/nginx/conf.d/proxy-home.conf
          mode: 644
        become: yes
      - name: landing | Add the systemd unit
        template:
          src: hghome.service.j2
          dest: /etc/systemd/system/hghome.service
          mode: 644
        become: yes
      - name: landing | Start service
        systemd:
          name: hghome
          enabled: yes
          state: restarted
          masked: no
          daemon_reload: yes
        become: yes
      - name: landing | Restart proxy
        systemd:
          name: hgproxy
          state: restarted
          daemon_reload: yes
        become: yes

